.videos-section .videos-grid {
  display: grid;
  grid-template-columns: 1.5fr 1fr;
  gap: 45px 55px;
}

.video-card {
  position: relative;
}

.video-card::before {
  content: "";
  border: 4px solid rgba(255, 255, 255, 0.75);
  background: rgba(255, 255, 255, 0.4);
  -webkit-backdrop-filter: blur(5px);
  backdrop-filter: blur(5px);
  border-radius: 50%;
  width: 80px;
  height: 80px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -85%);
  z-index: 2;
  background-image: url(../../img/play-icon.svg);
  background-size: 36px 36px;
  background-repeat: no-repeat;
  background-position: center;
  pointer-events: none;
}

.video-card::after {
  content: "";
  width: 95px;
  height: 95px;
  border-radius: 50%;
  border: 1px solid #009aa9;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -80%);
  z-index: 2;
  transition: transform 0.3s ease-in-out;
  pointer-events: none;
}

.video-card.--big {
  display: flex;
  flex-direction: column;
}

.video-card.--big .img-holder {
  margin-bottom: -56px;
  flex-grow: 1;
}

.video-card.--big .content {
  margin-right: 111px;
}

.video-card .img-holder {
  width: 100%;
  position: relative;
  border-radius: 30px 30px 0px 30px;
  overflow: hidden;
  margin-bottom: -34px;
}

.video-card .img-holder::before {
  content: "";
  display: block;
  padding-bottom: 56%;
}

.video-card .img-holder img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
}

.video-card .content {
  margin-right: 75px;
  position: relative;
  padding-top: 16px;
  z-index: 3;
}

.video-card .content::before {
  content: "";
  width: 100%;
  height: 40px;
  position: absolute;
  top: 0;
  left: 0;
  border-radius: 0px 20px 0px 0px;
  background-color: #ffffff;
}

.video-card .content::after {
  content: "";
  width: calc(100% + 8px);
  height: 48px;
  position: absolute;
  top: -8px;
  left: 0;
  border-radius: 0px 20px 0px 0px;
  border: 1px solid rgba(255, 255, 255, 0.4);
  border-left: none;
  border-bottom: none;
}

.video-card .content h3,
.video-card .content .h3 {
  font-size: 18px;
}

.video-card .content h2,
.video-card .content .h2 {
  font-size: 28px;
}

.video-card .content .title a {
  transition: color 0.3s ease-in-out;
}

.video-card .content .title a:hover {
  color: #009aa9;
}

.video-card__content-row {
  display: flex;
  align-items: center;
  gap: 12px;
  z-index: 2;
  position: relative;
  margin-bottom: 8px;
}

.video-card .time-count {
  display: flex;
  align-items: center;
  gap: 4px;
  color: #ffffff;
  font-size: 12px;
  line-height: 16px;
  padding: 5px 10px;
  background-color: #002f6a;
  border-radius: 20px;
}

@media (min-width: 768px) {
  .video-card.--big .content::before {
    height: 57px;
  }

  .video-card.--big .content::after {
    height: 68px;
  }
}

@media (min-width: 1200px) {
  .videos-section .videos-grid {
    grid-template-rows: repeat(2, 1fr);
  }

  .video-card:hover::after {
    transform: translate(-50%, -80%) scale(1.1);
  }

  .video-card.--big {
    grid-row: 2 span;
  }

  .video-card.--big .img-holder::before {
    display: none;
  }
}

@media (max-width: 1199px) {
  .videos-section .videos-grid {
    gap: 40px;
    grid-template-columns: repeat(2, 1fr);
  }

  .video-card::before {
    width: 54px;
    height: 54px;
    background-size: 24px 24px;
    transform: translate(-50%, -115%);
  }

  .video-card::after {
    width: 64px;
    height: 64px;
    transform: translate(-50%, -105%);
  }

  .video-card.--big {
    grid-column: 1/-1;
  }

  .video-card.--big .img-holder::before {
    padding-bottom: 81%;
  }

  .video-card.--big .content {
    margin-right: 95px;
  }

  .video-card .content {
    margin-right: 18px;
  }

  .video-card .content::before {
    height: 35px;
  }

  .video-card .content h2,
  .video-card .content .h2 {
    font-size: 24px;
  }
}

@media (max-width: 767px) {
  .videos-section .videos-grid {
    grid-template-columns: 1fr;
    gap: 30px;
  }

  .video-card.--big .img-holder {
    margin-bottom: -34px;
  }

  .video-card.--big .img-holder::before {
    padding-bottom: 56%;
  }

  .video-card.--big .content {
    margin-right: 25px;
  }

  .video-card .content {
    margin-right: 25px;
    padding-top: 12px;
  }

  .video-card .content h2,
  .video-card .content .h2 {
    font-size: 18px;
  }
}

@media (min-width: 768px) and (max-width: 1199px) {
  .video-card.--big::before {
    width: 64px;
    height: 64px;
    transform: translate(-50%, -87%);
  }

  .video-card.--big::after {
    width: 80px;
    height: 80px;
    transform: translate(-50%, -80%);
  }
}